.wrapper {
	font-family: 'Ubuntu', sans-serif;
	width: 100vw;
	height: 100vh;
	background: no-repeat url(../img/bg.png);
	background-size: cover;
}

a {
	text-decoration: none;
}

.header {
	background-color: rgba(0, 0, 0, 0.4);
	padding: 18px 79px;

	display: flex;
	justify-content: space-between;
	align-items: center;
}

.header__logo-link {
	font-size: 22px;
	line-height: 1;
	font-weight: 700;
	color: #ffffff;
	text-transform: uppercase;
	transition: all 0.3s;
}

.header__navigation {
	display: flex;
	align-items: center;
}

.navigation__icons {
	display: flex;
	align-items: center;
	justify-content: center;
}

.navigation__icons-item + .navigation__icons-item {
	margin-left: 27px;
}

.navigation__icons::after {
	content: '';
	width: 1px;
	height: 19px;
	background-color: #828282;
	margin-left: 25px;
	margin-right: 27px;
}

.navigation__icons-item-img {
	cursor: pointer;
	transition: all 0.3s;
}

.navigation__icons-item-img:hover path {
	fill: rgba(1, 129, 63, 1);
}

.navigation__text,
.navigation__text-link {
	font-size: 14px;
	line-height: 1;
	color: #ffffff;
	transition: all 0.3s;
}

.navigation__text-link:hover,
.header__logo-link:hover {
	color: rgba(1, 129, 63, 1);
}

.main {
	height: calc(100vh - 58px);
	display: flex;
	justify-content: center;
	align-items: center;
}

.main__modal {
	background-color: #ffffff;
	padding: 31px 61px 38px;
	position: relative;
}

.main__modal::before {
	content: '';
	width: 18px;
	height: 18px;
	background-color: rgba(60, 184, 120, 1);
	left: 0;
	top: 32px;
	position: absolute;
}

.modal__authorization {
	display: grid;
	grid-template: auto auto / 1fr 1fr;
	row-gap: 15px;
	margin-bottom: 32px;
}

.authorization__text {
	font-size: 20px;
	line-height: 1;
	color: rgba(67, 67, 67, 1);
}

.authorization__login-link {
	font-size: 14px;
	line-height: 1;
	color: rgba(60, 184, 120, 1);
	align-self: center;
	justify-self: end;
	transition: all 0.3s;
}

.authorization__login-link:hover {
	color: rgba(1, 129, 63, 1);
	text-decoration: underline;
}

.authorization__social-links {
	grid-column: 1 / 3;
	display: grid;
	grid-template-columns: 160px 160px;
	grid-column-gap: 8px;
}

.social-links__fb-link,
.social-links__google-link {
	display: flex;
	align-items: center;
	border-radius: 3px;
	box-sizing: border-box;
	transition: all 0.3s;
}

.social-links__fb-link {
	background-color: rgba(48, 93, 184, 1);
	padding: 12px 20px 12px 17px;
}

.social-links__fb-link:hover {
	background-color: rgba(2, 34, 99, 1);
}

.social-links__google-link {
	background-color: rgba(223, 74, 50, 1);
	padding: 12px 26px 12px 10px;
}

.social-links__google-link:hover {
	background-color: rgba(171, 31, 9, 1);
}

.google-link__text,
.fb-link__text {
	color: #ffffff;
	display: flex;
	align-items: center;
	box-sizing: border-box;
}

.fb-link__text::before {
	content: '';
	display: flex;
	width: 1px;
	height: 28px;
	margin: 0 18px 0 20px;
	background-color: rgba(10, 22, 47, 0.1);
}

.google-link__text::before {
	content: '';
	display: flex;
	width: 1px;
	height: 28px;
	margin: 0 30px 0 7px;
	background-color: rgba(43, 13, 9, 0.1);
}

.modal__choice-text {
	text-align: center;
	overflow: hidden;
}

.modal__choice-text-inner {
	font-size: 14px;
	line-height: 1;
	color: rgba(132, 132, 132, 1);
	display: inline-block;
	vertical-align: middle;
}

.modal__choice-text::before,
.modal__choice-text::after {
	content: '';
	/* Указываем что наши линии будут строчно-блочные и выравнивание по высоте - по центру */
   display: inline-block;
   vertical-align: middle;
	/* Добавляем пседоэлемантам возможность изменить позицию линии, для создания отступов от текста */
	background-color: rgba(242, 242, 242, 1);
	width: 100%;
	height: 1px;
	position: relative;
}

.modal__choice-text::before {
	margin-left: -100%;
   left: -5px;
}

.modal__choice-text::after {
	margin-right: -100%;
   right: -5px;
}

.modal__form {
	display: flex;
	flex-direction: column;
	margin-top: 14px;
}

.form__field {
	border: 1px solid rgba(242, 242, 242, 1);
	border-radius: 4px;
	padding: 15px 0 15px 20px;
}

.form__field {
	margin-bottom: 15px;
}

.form__field::placeholder {
	color: rgba(190, 190, 190, 1);
	font-size: 14px;
	line-height: 1;
	font-family: 'Ubuntu', sans-serif;
} 

.form__field:focus {
	box-shadow: 0 3px 8px 0 rgba(0, 0, 0, 0.21);
	font-size: 14px;
	line-height: 1;
	color: rgba(67, 67, 67, 1);
	font-family: 'Ubuntu', sans-serif;
}

.error-password {
	display: none;
	padding-top: 10px;
	color: rgb(211, 13, 13);
	text-transform: lowercase;
	font-size: 13px;
	margin-bottom: 15px;
}

.error-email {
	display: none;
	color: rgb(211, 13, 13);
	text-transform: lowercase;
	font-size: 13px;
	margin-bottom: 15px;
}

.error-email.visible {
	display: inline;
}

.error-password.visible {
	display: inline;
}

.form__btn {
	border: none;
	border-radius: 4px;
	background-color: rgba(60, 184, 120, 0.8);
	color: rgba(255, 255, 255, 1);
	padding: 16px 0;
	font-family: 'Ubuntu', sans-serif;
	transition: all 0.3s;
}

.form__btn:hover {
	background-color: rgba(1, 129, 63, 1);
}

.form__checkbox {
	display: flex;
	align-items: center;

	font-size: 14px;
	line-height: 1;
	margin: 12px 0 20px;
	color: #000000;
}

.form__checkbox-input {
	display: none;
}

.form__checkbox-checkmark {
	margin-right: 8px;
	height: 19px;
	width: 19px;
	border: 1px solid rgba(242, 242, 242, 1);
	background-color: #ffffff;
}

.form__checkbox-input:checked ~ 
.form__checkbox-checkmark {
	background-image: url(../img/agree-icon.png);
	background-repeat: no-repeat;
	background-position: center;
}

.form__checkbox-link {
	font-size: 14px;
	line-height: 1;
	color: rgba(60, 184, 120, 1);
	margin-left: 3px;
	transition: all 0.3s;
}

.form__checkbox-link:hover {
	color: rgba(1, 129, 63, 1);
	text-decoration: underline;
}